Namespace
library
Image / Tag
consul:1.9.16
Content Digest
sha256:63f1ae4260af4d69e3cb6c0df4ccd5a842dd1b5edc146ca7a62cf0f872d8069f
Details
Created

2022-04-05 02:41:18 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.16

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:54c95c2f58283907ca735a3fe8d3ac4a49a63dc20092eb6fddd7bad2429e3f67 - 7.14% (2.69 MB)

[#001] sha256:484409f04a676a8d44d51dc92a6deeb577d5ba5c85fdbd7b684c43b4e886a384 - 0.0% (1.2 KB)

[#002] sha256:5822580d4f9a95571085e69ccb95f092b395b243fb1c7695fd48b6af789cd0a0 - 92.85% (35 MB)

[#003] sha256:7c981a9c954b4d40f2102f48a42aa577c39dbabcc8c104550cf148193707afe8 - 0.0% (142 Bytes)

[#004] sha256:e90409fadd6561765827fda29b277c43ac73ea95407d1f4f35e6a8c9c045baed - 0.0% (153 Bytes)

[#005] sha256:b61f45db7b281efa217948299d58654ee00ee2eb941da2fe7d4fb9070e3b7c7e - 0.0% (1.74 KB)


History
2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) ADD file:caa278dc5cc6257518d542227fef491a89b0b4a7fc4dcb87632c2b786b65752a in /

2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 02:41:02 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.16

2022-04-05 02:41:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 02:41:03 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 02:41:04 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 02:41:09 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 02:41:10 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 02:41:11 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 02:41:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 02:41:13 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 02:41:14 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 02:41:15 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 02:41:17 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 02:41:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 02:41:18 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 04:28:51 UTC

Size

38.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.16

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6097bfa160c13665f946cea95b206a812a795d2517d7690a0a0796d64ec5f817 - 7.02% (2.69 MB)

[#001] sha256:1524063538057200e36dbe7e56b5daf1d9bc5d73deafa8175ead1eaea49a7851 - 0.0% (1.22 KB)

[#002] sha256:eaa35f502b319951a70dfdb91486871463f850ee321d37b34fe2a24390f83bd2 - 92.97% (35.6 MB)

[#003] sha256:2886efdace54eee791c785663842c2b9d56847095f9862a50d4e068073e3687f - 0.0% (175 Bytes)

[#004] sha256:bec006340aa8a1de76bf796b6b776a46f40acff3c65181e9e7c139b703db04c1 - 0.0% (153 Bytes)

[#005] sha256:139da6629072ddfee5ab2ffa8b717ff35e8ba35d36457114cbba63d2f02b498f - 0.0% (1.74 KB)


History
2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) ADD file:0f80c1db9ba5535d5020662b1c880624848316637bf3f9c189f459ab31f365d0 in /

2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 04:28:43 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.16

2022-04-05 04:28:43 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 04:28:44 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 04:28:44 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 04:28:49 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 04:28:50 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 04:28:50 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 04:28:50 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 04:28:50 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 04:28:51 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 04:28:51 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 04:28:51 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 04:28:51 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 04:28:51 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 03:20:24 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.16

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:83a39d5693a8029bb5246b7d72205357bcd5d8306489b586abf44bc8659dfc1e - 6.87% (2.5 MB)

[#001] sha256:444195facbd357d7faa8e074ca616007432916f3fee588d18c4c620921d5212c - 0.0% (1.23 KB)

[#002] sha256:4faa64387a3df68f3fc9b044c087a2815b74ae17c8304b14e95b808b35ab8a54 - 93.12% (33.9 MB)

[#003] sha256:764ab984afe1cce4f8a120211ea52edc83f9106e6c6536fe8799233c1e0f6ebc - 0.0% (174 Bytes)

[#004] sha256:a6f30bf71bb3e6b486b829c2eeb9e87d4cf118525df420f6506344d60a7742cd - 0.0% (154 Bytes)

[#005] sha256:8982d2d6cba7414398378cebaeaa46c17e9cdb5b693c0e01c0ec1490194c60f8 - 0.0% (1.74 KB)


History
2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) ADD file:9e96de1fefc4e9efba26e76103eca5f1495f00a66a8d8207d493fa9eabed19c0 in /

2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 03:20:04 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.16

2022-04-05 03:20:05 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 03:20:05 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 03:20:07 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 03:20:18 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 03:20:20 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 03:20:21 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 03:20:22 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 03:20:22 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 03:20:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 03:20:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 03:20:23 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 03:20:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 03:20:24 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 14:36:30 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.16

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:edd30f0f17040c7b292e0960fa771cf3ea45f994d7a2577a14fe02ae7ce727e9 - 7.13% (2.59 MB)

[#001] sha256:469c0ecb25df91afe517b69cb5f3449c119ef710a4b36318dd1e47054252dd78 - 0.0% (1.2 KB)

[#002] sha256:f334063d535fa780d07fa7c4aca12391cf48d7a22e1e952f248d770c750d75b9 - 92.86% (33.8 MB)

[#003] sha256:a2ba7ae9dd9ec634955590ba9a738afd7454da5da04f04d549650dc16b0c6128 - 0.0% (143 Bytes)

[#004] sha256:d653b3307c9f9130ca79463a655aba0741b239862e9a9eb451d49122b3d2e485 - 0.0% (155 Bytes)

[#005] sha256:14d84da28b585a01b30a406a34c46505b14085af01e36d87df49d4d90592609a - 0.0% (1.74 KB)


History
2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) ADD file:535e6f58c2cf7520c1824c8a290dc38c5519485470ed49587748a27c0113d586 in /

2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 14:36:15 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.16

2022-04-05 14:36:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 14:36:16 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 14:36:17 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 14:36:22 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 14:36:23 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 14:36:23 UTC

|1 CONSUL_VERSION=1.9.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 14:36:24 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 14:36:25 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 14:36:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 14:36:27 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 14:36:29 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 14:36:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 14:36:30 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]